Worlds

列出 Worlds

列出当前工作区已完成的 Marble Worlds

POST
/v1/worlds/list

列出当前工作区已经完成的 Marble Worlds。

生成中或失败的任务通过 /v1/worlds/generations/{id} 查询。

请求体

page_sizeinteger默认值: 20

返回数量,范围为 1–100。

page_tokenstring

上一页返回的分页 token。

statusstring

可选值为 SUCCEEDED、PENDING、RUNNING 或 FAILED。此接口列出已完成的 World,后三种值返回空列表;任务进度请查询生成任务接口。

modelstring

可选 Marble 模型过滤。

tagsarray

可选标签过滤。

is_publicboolean

可选可见性过滤。

created_afterstring

只返回晚于该时间创建的 worlds。

created_beforestring

只返回早于该时间创建的 worlds。

sort_bystring默认值: created_at

按 created_at 或 updated_at 排序。

sort_orderstring默认值: desc

排序方向:asc 或 desc。

响应

worldsarray

World 记录数组。

next_page_tokenstring | null

下一页 token,或 null。

请求

curl -X POST "https://api.tokenlab.sh/v1/worlds/list" \
  -H "Authorization: Bearer sk-your-api-key" \
  -H "Content-Type: application/json" \
  -d '{"page_size": 20, "status": "SUCCEEDED", "model": "marble-1.1"}'
{  "worlds": [    {      "display_name": "string",      "world_id": "string",      "world_marble_url": "http://example.com",      "assets": {},      "created_at": "2019-08-24T14:15:22Z",      "model": "string",      "permission": {},      "tags": [        "string"      ],      "updated_at": "2019-08-24T14:15:22Z",      "world_prompt": {}    }  ],  "next_page_token": "string"}

授权

BearerAuth
AuthorizationBearer <token>

API Key 身份验证。在 Dashboard > API > API Keys 中创建或管理 API Key。

位置: header

请求体

application/json

响应

application/json

application/json